Bug 146803 - (IT_66003) 32bit gdb doesn't work on x84_64
32bit gdb doesn't work on x84_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 116894 146087
  Show dependency treegraph
 
Reported: 2005-02-01 13:18 EST by H.J. Lu
Modified: 2015-01-04 17:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 12:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix ia32 vDSO on x86_64 (1.96 KB, patch)
2005-02-14 17:23 EST, H.J. Lu
no flags Details | Diff
An updated patch to fix ia32 debug on x86_64 (3.75 KB, patch)
2005-02-14 20:39 EST, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2005-02-01 13:18:44 EST
I got

# gdb-32 32

Kernel BUG at memory:816
invalid operand: 0000 [1] SMP
CPU 0
Modules linked in: nfsd exportfs nfs lockd md5 ipv6 parport_pc lp
parport autofs4 i2c_dev i2c_core sunrpc ds yenta_socket pcmcia_core
dm_mod button battery ac uhci_hcd ehci_hcd hw_random e1000 floppy ext3
jbd ata_piix libata sd_mod scsi_modPid: 19098, comm: gdb-32 Not
tainted 2.6.9-5.EL.hjl.0.1smp
RIP: 0010:[<ffffffff8016321f>] <ffffffff8016321f>{get_user_pages+354}
RSP: 0018:0000010075f8de78  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000000ff0 RCX: 000ffffffffff000
RDX: 0000010000000000 RSI: 0000010031a93ff0 RDI: ffffffff803c1c60
RBP: 0000000000000000 R08: 0000010031a93ff0 R09: 000000000007e94c
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: 0000010052824940 R14: 0000000000000010 R15: 000001005ce01030
FS:  0000000000000000(0000) GS:ffffffff804bfa00(005b)
knlGS:00000000f7fd7b60
CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
CR2: 000000000819337d CR3: 0000000000101000 CR4: 00000000000006e0
Process gdb-32 (pid: 19098, threadinfo 0000010075f8c000, task
000001005cfc17f0)
Stack: 0000000000000001 00000000ffffe000 000000015282499c 0000010052824998
       00000000ffffce78 0000010075f8df4c 0000000000000000 0000000000000004
       0000010052824940 ffffffff8013c978
Call Trace:<ffffffff8013c978>{access_process_vm+145}
<ffffffff8012f2b2>{sys32_ptrace+394}
       <ffffffff80123903>{sysenter_do_call+27}

Code: 0f 0b 73 c7 32 80 ff ff ff ff 30 03 48 83 7c 24 50 00 74 5a
RIP <ffffffff8016321f>{get_user_pages+354} RSP <0000010075f8de78>
Comment 1 H.J. Lu 2005-02-01 14:18:53 EST
FYI, kernel 2.6.11-rc2 is OK.
Comment 2 H.J. Lu 2005-02-14 17:23:16 EST
Created attachment 111069 [details]
A patch to fix ia32 vDSO on x86_64 

I am testing this patch for ia32 vDSO on x86_64.
Comment 3 H.J. Lu 2005-02-14 20:39:52 EST
Created attachment 111074 [details]
An updated patch to fix ia32 debug on x86_64 

It turned out that I missed one patch from Roland. This patch does allow
me to debug ia32 binary on x86_64.
Comment 6 Dave Jones 2005-03-23 12:30:20 EST
this should be fixed in the 5.0.3 errata kernel that came out last month.

Note You need to log in before you can comment on or make changes to this bug.